Bug 853751 - [engine-core] logging - missing networks is set as INFO severity instead of WARN/ERROR severity (Host $hostname is set to Non-Operational, it is missing the following networks: rhevm)
[engine-core] logging - missing networks is set as INFO severity instead of ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Muli Salem
GenadiC
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 11:57 EDT by vvyazmin@redhat.com
Modified: 2016-02-10 14:47 EST (History)
10 users (show)

See Also:
Fixed In Version: SI18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:58:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs vdsm, rhevm (2.10 MB, application/x-gzip)
2012-09-02 11:57 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2012-09-02 11:57:49 EDT
Created attachment 609128 [details]
## Logs vdsm, rhevm

Description of problem:
Wrong event level - Host xxxx is set to Non-Operational, it is missing the following networks: rhevm

Version-Release number of selected component (if applicable):
RHEVM 3.1 - SI16

RHEVM: rhevm-3.1.0-14.el6ev.noarch
VDSM: vdsm-4.9.6-31.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6_3.4.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6_3.1.x86_64
SANLOCK: sanlock-2.3-3.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:
INFO event level

Expected results:
WARNING event level

Additional info:

INFO --> Warning 
2012-09-02 13:04:20,032 INFO   [org.ovirt.engine.core.bll.SetNonOperationalVdsCommand] (pool-4-thread-45) [3a2e5ea1] Host cougar05.scl.lab.tlv.redhat.com is set to Non-Operationa
l, it is missing the following networks: rhevm
Comment 1 Yaniv Kaul 2012-09-03 03:19:13 EDT
I suspect that if the host is set to non-operational, this should be an ERROR severity level. If it's a non-required network, I guess it could be a warning.
Comment 2 Muli Salem 2012-09-03 04:01:53 EDT
Set to ERROR severity level, proposed patch in:

http://gerrit.ovirt.org/#/c/7700/
Comment 4 GenadiC 2012-09-16 04:27:06 EDT
Verified in SI18

Note You need to log in before you can comment on or make changes to this bug.